<app-toolbar></app-toolbar>
<app-search></app-search>
<div class="filter" *ngIf="showForm">
  <form [formGroup]="filterForm" (ngSubmit)="filter()">
    <mat-form-field appearance="outline">
      <mat-label>Order By</mat-label>
      <mat-select formControlName="sort" (selectionChange)="filter()">
        <mat-option *ngFor="let label of labels" [value]="label.value">
          {{ label.text }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Order</mat-label>
      <mat-select formControlName="order" (selectionChange)="filter()">
        <mat-option *ngFor="let order of orders" [value]="order">
          {{ order }}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </form>
</div>
<div class="container">
  <div class="no-results" *ngIf="!media.length">
    <h1>No results found...</h1>
  </div>
  <div *ngIf="media.length" class="row">
    <div
      class="card"
      (click)="onCardClick(card.id, card.title.romaji)"
      *ngFor="let card of media"
    >
      <ng-template #skeletonCard>
        <div class="image-title skeleton-image">
          <img alt="" />
        </div>
        <div class="right">
          <div class="content" style="height: 100%">
            Loading, please wait...
          </div>
        </div>
      </ng-template>
      <ng-container *ngIf="!card.loading; else skeletonCard">
        <div class="image-title">
          <img
            [src]="
              card?.coverImage?.large || card?.coverImage?.medium || noImage
            "
            alt=""
          />
          <div
            class="title"
            [ngStyle]="{ background: hexToRgb(card.coverImage.color) }"
          >
            <span class="title-romaji">{{ card?.title?.romaji }}</span>
            <span
              class="title-english"
              *ngIf="
                card?.title?.romaji?.toLowerCase() !==
                card?.title?.english?.toLowerCase()
              "
              >{{ card?.title?.english }}</span
            >
            <span
              class="title-studio"
              [ngStyle]="{ color: card?.coverImage?.color }"
              >{{ card?.studios?.nodes[0]?.name }}</span
            >
          </div>
        </div>
        <div class="right">
          <div class="content">
            <div class="first-row">
              <span class="airing-in">
                <ng-container *ngIf="card.nextAiringEpisode; else seasonYear">
                  {{
                    card?.nextAiringEpisode
                      ? "Ep " + card.nextAiringEpisode.episode + " airing in"
                      : ""
                  }}
                </ng-container>
              </span>
              <div id="average">
                <mat-icon
                  *ngIf="card.averageScore"
                  [ngStyle]="{ color: card.icon.color }"
                  >{{ card?.icon?.icon }}</mat-icon
                >
                <span>{{
                  card.averageScore ? card.averageScore + "%" : ""
                }}</span>
              </div>
            </div>
            <div *ngIf="card.nextAiringEpisode">
              <span class="time-until-airing">
                {{ secondsToDhms(card.nextAiringEpisode.timeUntilAiring) }}
              </span>
            </div>
            <ng-template #seasonYear>
              <span class="time-until-airing">
                {{
                  card.season
                    ? card.season[0] +
                      card.season.substring(1).toLowerCase() +
                      " " +
                      card.seasonYear
                    : ""
                }}
              </span>
            </ng-template>
            <span class="show-episode"
              >{{ card.format === "TV" ? "TV Show" : card.format }} •
              {{ card.episodes }}
              {{
                card.episodes > 1 ? "episodes" : card.episode ? "episode" : ""
              }}
            </span>

            <span
              id="description"
              [innerHTML]="card.description || 'No description available.'"
            ></span>
          </div>
          <div class="genres">
            <ng-container *ngFor="let genre of card.genres; let i = index">
              <div
                class="genre"
                *ngIf="i < 2"
                [ngStyle]="{
                  background: card.coverImage.color,
                  color: lightOrDark(card.coverImage.color)
                }"
              >
                {{ genre.toLowerCase() }}
              </div>
            </ng-container>
          </div>
        </div>
      </ng-container>
    </div>
  </div>
</div>
